# Module: template/publish

## template/publish

Source:
  - template/publish.js, line 2

### Methods

#### <static> publish(taffyData, opts, tutorials)

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `taffyData` | TAFFY | See http://taffydb.com/.
  `opts` | object |
  `tutorials` | Tutorial |

  Source:
    - template/publish.js, line 374

#### <private, inner> attachModuleSymbols(doclets, modules)

  Look for classes or functions with the same name as modules (which indicates that the module exports only that class or function), then attach the classes or functions to the `module` property of the appropriate module doclets. The name of each class or function is also updated for display purposes. This function mutates the original arrays.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `doclets` | Array.<module:jsdoc/doclet.Doclet> | The array of classes and functions to check.
  `modules` | Array.<module:jsdoc/doclet.Doclet> | The array of module doclets to search.

  Source:
    - template/publish.js, line 234

#### <inner> buildNav(members) → {string}

  Create the navigation sidebar.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---

  `members`

  object

  The members that will be used to create the sidebar.

  ###### Properties

  Name | Type | Description
  --- | --- | ---
  `classes` | array.<object> |
  `externals` | array.<object> |
  `globals` | array.<object> |
  `mixins` | array.<object> |
  `modules` | array.<object> |
  `namespaces` | array.<object> |
  `tutorials` | array.<object> |
  `events` | array.<object> |

  Source:
    - template/publish.js, line 263

  ##### Returns:

  The HTML for the navigation sidebar.

  Type
    string